// Egoboo - Clock.h
// Interface for the clock & timer module
// This implementation was adapted from Noel Lopis'
// article in Game Programming Gems 4.

#ifndef Egoboo_Clock_h
#define Egoboo_Clock_h

void clock_init();						// Init the clock module
void clock_shutdown();					// Turn off the clock module

void clock_setTimeSource(double (*timeSource)());	// Specify where the clock gets its time values from
													// Defaults to sys_getTime()
void clock_setFrameHistoryWindow(int size);			// Set how many frames to keep a length history of
													// Defaults to 1

void clock_frameStep();					// Update the clock.
double clock_getTime();					// Returns the current time.  The clock's time only
										// changes when frameStep is called

double clock_getFrameDuration();		// Return the length of the current frame. (Sort of.)
unsigned int clock_getFrameNumber();	// Return which frame we're on
float clock_getFrameRate();				// Return the current instantaneous FPS

#endif // include guard
