// Egoboo
// egobootypedef.h
// Defines some basic types that are used throughout the game code
//
// Re-written to clarify it, and make multiple targets easier to maintain

#ifndef Egoboo_egobootypedef_h
#define Egoboo_egobootypedef_h

#ifdef WIN32
#define WIN32_LEAN_AND_MEAN							// Speeds up compile times a bit.  We don't need everything
													// in windows.h
													
#pragma warning(disable : 4305)                     // Turn off silly warnings
#pragma warning(disable : 4244)                     //
#pragma warning(disable : 4554)
#pragma warning(disable : 4761)

// Windows defines snprintf as _snprintf; that's kind of a pain, so redefine it here
#define snprintf _snprintf

#endif

#include <SDL.h>
#include <SDL_endian.h>

extern float LoadFloatByteswapped(float *ptr);

typedef struct rect_t
{
	Sint32 left;
	Sint32 right;
	Sint32 top;
	Sint32 bottom;
}rect_t;

typedef char bool_t;
enum {
	btrue = 1,
	bfalse = (!btrue)
};

// Mac OS X doesn't seem to have max() defined, or at least I don't know
// what header it's in.  So define it here.  The function's implemented
// in mac-file.m, as it's the only Mac specific file at the moment.
#ifndef max
int max(int a, int b);
#endif

#endif // include guard

